# Update article Update a knowledge article Endpoint: PATCH /beta/knowledge/articles/{articleId} Version: beta Security: ApiKeyAuth ## Path parameters: - `articleId` (string, required) ## Request fields (application/json): - `ownedBy` (string) ID of the user who owns the article - `tags` (object) Tags to add or remove - `tags.add` (array) Tag IDs to add - `tags.remove` (array) Tag IDs to remove - `preRelease` (boolean) Whether the article is only available in pre-release mode ## Response 200 fields (application/json): - `data` (object, required) - `data.id` (string, required) - `data.isDefaultLocation` (boolean) - `data.translation` (object) - `data.translation.draft` (object, required) - `data.translation.draft.language` (string, required) - `data.translation.draft.title` (string, required) - `data.translation.draft.isIndexedVersion` (boolean, required) - `data.translation.draft.contents` (object, required) - `data.translation.draft.contents.html` (string, required) - `data.translation.draft.contents.plaintext` (string, required) - `data.translation.draft.availableAt` (object, required) - `data.translation.draft.availableAt.helpCenterLinks` (array) - `data.translation.draft.availableAt.helpCenterLinks.name` (string, required) - `data.translation.draft.availableAt.helpCenterLinks.url` (string, required) - `data.translation.draft.createdAt` (string, required) - `data.translation.draft.updatedAt` (string, required) - `data.translation.draft.createdBy` (string) - `data.translation.draft.updatedBy` (string) - `data.translation.published` (object) - `data.tags` (array) - `data.indexedAt` (string) - `data.ownedBy` (string) - `data.indexedBy` (string) - `data.restrictions` (object, required) - `data.restrictions.isRestricted` (boolean, required) - `data.restrictions.inheritedRestrictions` (array) - `data.restrictions.inheritedRestrictions.fromCollection` (string) - `data.restrictions.inheritedRestrictions.fromCategory` (string) - `data.parentCategory` (string) - `data.parentCollections` (array) ## Response 400 fields (application/json): - `message` (string, required) ## Response 404 fields (application/json): - `message` (string, required) ## Response 500 fields (application/json): - `message` (string, required)